#include "aux_utils.h"

namespace NH2Log {

    TSimpleLogGuard::TSimpleLogGuard(TString funcName, const TFileManager& fileManager)
        : FuncName(funcName)
    {
        Cerr << FuncName << " on " << fileManager.GetInputName() << Endl;
    }

    TSimpleLogGuard::~TSimpleLogGuard() {
        Cerr << FuncName << " done!" << Endl;
    }
}
